wiki:mk/tickets/closed

Tickets

Closed tickets of mkae (mk AT macports D.T org)

Assigned Tickets

#55331
kdenlive @0.9.10: error: call to 'abs' is ambiguous
#55231
icoutils @0.32.0: update to 0.32.2
#55141
tig @2.2.2: update to 2.3.0
#55090
libalkimia fails to link lots of undefined symbols
#55017
mc (Midnight Commander) doesn't build on 10.13
#54931
Failed to build mc: command execution failed
#54872
error building Kmymoney4
#54774
mc @4.8.19: error: no member named 'st_atim' in 'struct stat'
#54748
icoutils was updated to 0.32.0
#54604
kmymoney4 @4.7.2_5: *** No rule to make target `/kmymoneysettings.h', needed by `kmymoney/dialogs/settings/CMakeFiles/settings_autogen'. Stop.
#53451
mc installs as root with root-only permissions under Sierra. So when mc runs as user, it can't save anything
#53363
icoutils @0.31.0: update to 0.31.1 [security]
#53097
kchmviewer: upgrade to v7.7 and Qt 5.6
#53090
py-pyqt* multiple Qt depspecs
#53086
marx @5.3.1_0: update to 5.3.2
#53083
VLC: fails to build on Sierra due to QtKit
#53022
opencv @3.1.0_6+python34: Portfile broken for variant +python34
#52814
scala2.12 @2.12.0: new port for scala 2.12
#52740
icoutils @0.31.0: Remove jonah@jonahb.com from maintainers
#52699
cmake portgroup version 1.1
#52678
tig @2.1.1_1: update to 2.2
#52524
syncthing-0.14 @0.14.7: update to 0.14.8
#52510
mc: update to 4.8.18
#52471
kmymoney4(-devel): currently fail to build due to qqpgpme
#52324
syncthing @0.14.7 new port
#52274
phonon-backend-gstreamer{,-qt5} : update to 4.9.0
#51620
py-pyqt5: fix DBus module build and pyversion conflicts, support multiple Qt5 ports
#51619
qt5.depends_component procedure
#51413
submission: phonon-backend-vlc with qt5 subport
#51411
mlt: qt5 subport
#51370
error: install Kdenlive on a mac osx El Capitan system due to expat
#51111
ktoblzcheck @1.47 failed to build - symbol(s) not found for architecture x86_64
#50678
makeicns does not build on Snow Leopard with libc++
#50183
QtCurve ports: updates for Qt5 and KF5
#49885
icoutils fails to build universal
#49780
provide an interface for ports to depend on Qt5 components
#49630
new (sub)port: dbusmenu-qt5
#49577
polkit-qt version update and qt5 subport
#49458
kdenlive @ 0.9.10: Processing of port kdenlive failed
#49109
port modifications required by making qt4-mac co-installable with Qt5
#48468
wxMaxima: update to 15.04.0
#48184
[NEW] kf5-attica
#48152
wxMaxima will not launch unless explicitly called with "open" command
#48088
proposed improvements to port:qt5-mac
#47662
port:aqbanking5 correction
#47661
gwenhywfar4 corrections
#47496
kmymoney4-devel: meinproc4 crashes with segmentation fault
#47139
charm-qt5 @ 1.8.0 : fails to build on SL and ML
#47123
tig @2.0.3 New version 2.1 available
#47064
Update port:rkward to version 0.6.3
#46978
port submission: extra-cmake-modules
#46881
qlandkartegt: upgrade to 1.8.1
#46876
charm-qt5 @ 1.8.0 : violates the ports-filesystem layout
#46798
kdenlive: DV module, QImage, Title module disabled
#46774
New Port: Vc 0.7.4
#46609
oxygen-icons 4.14.3 Unnecessary Dependencies
#46575
submission of the Charm time tracker for Qt4 or Qt5
#46558
phonon-backend-gstreamer update to 4.8.2 and qt5 support
#46507
QtCurve update with support for Qt5
#46496
co-installable qt4-mac and qt5-mac step2 : qt5-mac
#46370
port submission: Vc
#46369
port submission: libetonyek
#46368
port submission: libodfgen
#46240
kde4 1.1 PortGroup file adaptation to qt4-mac +concurrent
#45732
new port submission: kcm-baloo-advanced
#45192
kmymoney: Make port obsolete
#44947
py(25)-jenkins-job-builder - fails to build
#44469
libical build improvement
#44400
makeicns: Support for OSX 10.10
#44359
aqbanking5-gtk lists conflicting dependencies
#44302
qlandkartegt: upgrade to 1.7.7
#44173
[NEW] Cockatrice: a new port request, Portfile attached
#44146
kdenlive: update to 0.9.8
#43971
New: oxygen-gtk port (oxygen-gtk2)
#43767
kmymoney4-devel crashes at startup with KDE libraries version 4.12.5 installed
#43563
[RFE] krusader @2.0.0_1: Mavericks is unsupported platform
#43539
icoutils 0.31.0 submission
#43486
update wxMaxima to version 13.04.2
#42526
litecoind@0.8.6.2: build error
#42106
MediathekView: Create an app package to improver usability
#42084
MediathekView: set supported_archs
#41391
litecoin fails to build on Mavericks
#41083
makeicns-1.4.10 build fails in Mavericks 10.9
#40944
kmymoney: command not found
#40869
makeicns: undefined type CGDirectPaletteRef on 10.9
#40766
libofx @0.9.9 patching file lib/ofx_preproc.cpp failed
#40659
Error: Processing of port kmymoney failed
#40462
kmymoney4 @4.6.3 rebuild error
#39890
scotch - upgrade to 5.1.12_esmumps
#39883
choqok: update to 1.4
#39877
request new port devel/qoauth w/ Portfile
#39820
litecoin doesn't respect prefix
#39813
Suggestion for an upgrade of scotch to 6.0.0
#39333
scotch build error, mpicc not found
#39090
abtransfers crashes if build in debug mode and called w/o DYLD_IMAGE_SUFFIX=_debug
#38722
frei0r-plugins: upgrade to version 1.4
#38718
upgrade kdelive to version 0.9.6
#38651
gwenhywfar: build error
#37144
kmymoney: error: field has incomplete type 'MyMoneyTransaction'
#36272
Building gwenhywfar4 fails with frameworks
#35401
skrooge @1.3.0 runtime error
#34919
kmymoney4-devel does not run on Lion 10.7.4
#34892
kmymoney4 does not build with Qt 4.8
#34635
Skrooge will not run in MacPorts
#34633
kmymoney is broken
#34484
KMyMoney4 crashes during startup
#34454
Midnight Commander & corrupted FTP directory listing
#34284
kmymoney4(-devel) can't find phonon 4.6.0 library
#32993
kmymoney4-devel @4.6-20120119_1 no ofx import
#32837
new portfile for RKWard
#31960
kmymoney4(-devel) will not show their homepage correctly due to klauncher issue
#31957
makeicns: simplify getting archflags
#31927
makeicns @1.4.9 fails to build on 10.4.11
#31405
Skrooge 0.9.991
#31355
kdesdk4: Umbrello not able to run
#31302
Skrooge - Cannot talk to klauncher
#31295
kmymoney4 starts with an error
#31193
change ktoblzcheck to use python2.7
#31065
kmymoney4(-devel) will not start when launched from finder
#31027
gwenhywfar4/aqbanking5: provide a gtk option
#30999
Skrooge 0.9.97
#30315
makicns fails to build on Lion
#30191
kmymoney4 @4.5.96 (kde, finance) Build failed due to namespace and other problems
#29503
skrooge: making doc fails
#29143
KmyMoney4 Ledger Drop Down Account Selection Menu Width.
#28898
makeicns: update to 1.4.3 pending
#28775
Skrooge 0.8.1
#28648
Skrooge 0.8.0.6
#28498
Skrooge 0.8.0.5
#27865
skrooge: new port
#27843
Checksum error for makeicns
#27363
Checksum error in makeicns
#27340
xfig 3.2.5: unable to import epsfile
#27205
kmymoney4 won't start
#27131
aqbanking5: port seems to replace aqbanking without problems
#27117
gwenhywfar4 failed to build
#27114
kmymoney4: oxygen icon theme cannot be found
#26760
Checksum error in makeicns
#26205
makeicns cannot compile i386 ppc on Mac OS X 10.4 PowerPC
#24936
makeicns should ensure it's UsingTheRightCompiler
#24618
kmymoney starter app
#24554
Add a KMyMoney 4 port
#13120
mc: 4.6.1 with utf8 variant

Reported Tickets

#53456
GitHub: port auto updater
#53366
py27-pykde4: build failure (due to sip?)
#53158
qt4-mac-mariadb-plugin causes trouble during upgrade of KDE4 ports
#53132
VLC fails to build its +qt5 variant
#53085
py34-spyder-devel: "port info" doesn't reveal that the port has a qt5 variant
#53083
VLC: fails to build on Sierra due to QtKit
#52869
OpenSceneGraph: fails to build due to changes in jpeg port
#52861
py27-gtk: missing port
#52781
Trac: link "Keywords:" label in ticket viewer and editor with the corresponding guideline wiki page
#52774
clang-3.4: build failure on El Capitan
#52755
GitHub: link to issues should not appear on organisation dashboard
#52703
git: git-gui crashing
#52699
cmake portgroup version 1.1
#52676
trac: wiki page watches lost
#52674
trac: modifying existing ticket doesn't offer previously available functionality
#52673
trac: queries on wiki pages need manual updating for github usernames
#52471
kmymoney4(-devel): currently fail to build due to qqpgpme
#52470
kdepim4 @4.14.3_1: fails rebuilding due to latest qgpgme change
#52280
libconfuse @2.8: libconfuse.pc contains -R/opt/local/lib, causing build failure of bmon
#49700
kdevelop @4.7.2: fails to build
#49695
akonadi @1.13.1.20141210_1: build failure on ML
#49693
texlive-common @ 2015_0: installation fails
#49647
Xcode build hangs in configure phase on Yosemite
#49213
libkdeedu & kde4-runtime: qt4-mac upgrade causes problems for some KDE4 ports on Mavericks
#49212
autojump @22.2.4: ImportError: No module named autojump_argparse
#48184
[NEW] kf5-attica
#48163
clang-3.6 @3.6.1_1: incorrectly uses libunwind port if installed
#47526
libcaca @ 0.99.beta19: move all xorg deps into the x11 variant
#47493
cmake: upgrade to 3.2.2
#47139
charm-qt5 @ 1.8.0 : fails to build on SL and ML
#46876
charm-qt5 @ 1.8.0 : violates the ports-filesystem layout
#46624
charm @ 1.8.0+ : Weird entries in charm's "Edit" menu
#46248
Cockatrice: fails to build for OSX<10.9
#45940
gstreamer1-gst-plugins-base @ 1.4.4_0: fails to build on Mavericks 10.9.5
#45625
QtCurve 1.8.18_0 fails to build on Snow Leopard
#44947
py(25)-jenkins-job-builder - fails to build
#44937
clang-3.5: fails to build on Mavericks
#44207
qt5-mac @5.3.1_0 : enable parallel builds
#43938
gettext @0.18.3.2 update to 0.19.1 - avoid 0.19
#43925
gnucash
#43767
kmymoney4-devel crashes at startup with KDE libraries version 4.12.5 installed
#43720
KDE: Fix missing objects files during compilation
#43675
tig @1.2.1_0 : update to 2.0.2
#43587
amarok @2.6.0_1: build failure
#43563
[RFE] krusader @2.0.0_1: Mavericks is unsupported platform
#42866
inkscape@0.48.4_28 fails to build using Xcode 5.1
#42526
litecoind@0.8.6.2: build error
#42106
MediathekView: Create an app package to improver usability
#42076
gdal @ 1.10.1_2 - upgrade fails on Mavericks
#41603
minidlna: upgrade to latest version 1.1.1 fails
#41461
libdvdnav @4.2.0: upgrading from previous version fails
#41399
dbus@1.6.12: fails to build on Mavericks buildbot
#41391
litecoin fails to build on Mavericks
#40498
nepomuk-core fails to build
#40356
Installation of wxMaxima fails to install the correct gnuplot variant
#39998
maxima @5.28.0_7: update to 5.30.0
#39985
two ports (gputils and gnome-common) won't upgrade although being outdated
#39822
boost fails to install on Snow Leopard
#39820
litecoin doesn't respect prefix
#39813
Suggestion for an upgrade of scotch to 6.0.0
#39801
Trouble uninstalling inactive ports due to py27-distribute dependencies
#39800
py27-hgevolve claims to enable itself in .hgrc in an incorrect way
#39476
arpack's openmpi variant conflicts with gcc45
#39376
gnome-keyring @2.30.3_6 can not be installed
#39090
abtransfers crashes if build in debug mode and called w/o DYLD_IMAGE_SUFFIX=_debug
#38850
wxWidgets 2.9: broken support for dead keys (in wxmaxima)
#38842
maxima has a problem with sbcl
#38839
metis version 5.1.0 can't be fetched
#38718
upgrade kdelive to version 0.9.6
#38651
gwenhywfar: build error
#38160
kde4-runtime needs a revbump due to upgraded jpeg port
#37900
x264 must specify its deps
#37852
strigi needs rebump due to ffmpeg update
#37537
qt4-mac and qt4-mac-sqlite3-plugin create trouble
#37448
py-dateutil: __init__.cpython-32.pyc already exists and does not belong to a registered port
#37444
py27-matplotlib +tkinter is broken
#37437
py27-pygtk: configure fails with automake 1.13: macro 'AM_CONFIG_HEADER' not found in library
#37111
boost: python27 variant should not be default variant if debug variant is selected
#36774
Soprano update fails on Lion buildbot
#36472
gdb build failure
#36272
Building gwenhywfar4 fails with frameworks
#36140
Safari suddenly has problems editing existing tickets
#35074
liblzma can't be upgraded due to dep of kdelibs4
#35043
blitz' homepage expired
#35024
autojump's fetch fails
#34897
Update mercurial
#34739
Buildbots fail removing policykit's work dir while trying to test-build libgsf
#34633
kmymoney is broken
#34608
strigi is broken port
#34607
libdmtx is broken due to ImageMagick
#34284
kmymoney4(-devel) can't find phonon 4.6.0 library
#34235
mysql-connector-cpp examples can't be build
#34204
avahi upgrade fails
#33564
kdelibs4 upgrade to version 4.8.1 fails
#33144
Would be nice if py27-rbtools installed post-review instead of post-review-2.7
#32290
py-rbtools misses dependency to py-simplejson
#32289
py27-rbtools do not work
#32212
glib2 fails to build for kmymoney
#31960
kmymoney4(-devel) will not show their homepage correctly due to klauncher issue
#31082
dbus-devel doesn't build
#30904
Does openmpi also have a Lion issue?
#30452
kdebase4-runtime also needs update to 4.7.0
#30402
qt4-mac fails to build on Lion
#30332
MacPorts fails to open a portfile due to denied permissions
#30326
qt3 3.3.8 fails to build on Snow Leopard after latest modifications for Lion
#30315
makicns fails to build on Lion
#30314
kdelibs3 build fails on Lion after selfupdate and upgrade
#30207
adium port should be either updated, disabled or even dropped
#29789
debug variant of kdelibs4 port is not debuggable
#29788
kdelibs4 update to 4.6.4
#29503
skrooge: making doc fails
#28898
makeicns: update to 1.4.3 pending
#28765
klauncher once again causing trouble
#28741
kdelibs4 failed to build
#28410
qt4-mac crashes in QStyleSheetStyle
#28214
D-Bus call fails since upgrade to KDE 4.6.0
#27904
dbus portfile should make use of MacPorts' startupitem facility
#27292
libphonon not referenced by full path from libkhtml
#27290
rarian: ${prefix}/bin/bash can end up in scrollkeeper-config's shebang
#27131
aqbanking5: port seems to replace aqbanking without problems
#27114
kmymoney4: oxygen icon theme cannot be found
#27078
Suggestion for section 3.3 of MacPorts Guide
#26982
Suggesting a patch for kdelibs4
#26980
step by step port install causes error was "kdepimlibs4 fails to install"
#25865
kdelibs3: doesn't build with openssl 1.0.0a
#24977
Growl 1.1.4 - Doesn't build
#24921
kmymoney-1.0.5 : updated port file
#24823
kmymoney-1.0.4 : update port file
#24812
makeicns: new port
#24755
avidemux: Fails to build
#24641
fbg: Installation of port fbg fails
#24442
kmm_banking: fix for portfile
#24433
kmymoney : updated port file + starter .app
#24412
zlib 1.2.4_1: warning: "_FILE_OFFSET_BITS" is not defined
#24403
kdelibs3: kde-config creates ~/.kde directory
#23951
aqbanking: update to latest stable version
#23950
gwenhywfar: Update to latest stable version
#23874
bash-completion 1.1_4: seems to need dependency to port gsed
#23615
kmymoney-1.0.0 : update port to more current version of kmymoney
#23614
kmymoney-1.0.0 : Dependency to port kde is missing

CC'ed Tickets

#54592
port:qt5-qtmultimedia should conflict with port:openal{,-soft}
#54480
VLC: upgrade to 2.2.6 and FFmpeg 3
#53519
py34-altgraph: No such file or directory: 'doc/_static'
#53490
port diagnose fails on symlink
#53470
port:audacity build fix (and upgrade for audacity-devel)
#53445
port:mlt/mlt-qt5 fixes
#53388
mention bot for GitHub PRs
#53351
shared-mime-info: support mpgk/mdmg packaging
#53350
fontconfig: support mpgk/mdmg packaging
#53330
New PortGroup for handling C++11
#53316
qt5-docs @5.6.2: Missing qt5 documentation
#53311
kdepimlibs4 @4.14.3_8 conflicts with gpgme @1.8.0_1
#53202
kde4-kile wants to install macports texlive even though MacTex texlive is installed
#53200
py35-pyqt5 does not build with sip 4.19
#53198
qt5-qtquick1 : version, dependencies and deprecation comment
#53197
py27-pyqt5 @5.6_4 Configure error - build failure
#53186
qmake5 should change destroot.destdir (qmake PG idem)
#53137
Poppler 0.50.0 Undeclared Identifier
#53122
gpgme : upgrade to 1.8.0 and +qt5 variant
#53109
port select fails if invalid exists
#53106
cctools: otool -L fails with /opt/local/bin/llvm-objdump not found
#53097
kchmviewer: upgrade to v7.7 and Qt 5.6
#53090
py-pyqt* multiple Qt depspecs
#53062
poppler fails to install
#52913
qt5 @5.6.2_0: please re-enable builds on 10.7
#52875
libsdl2: build failure blocks ffmpeg @3.2 build on Leopard i386 nor PPC
#52871
Trac/Wiki: search form on Tickets page is broken
#52850
Quassel with qt5 cannot find sqlite
#52822
gstreamer1 - add replacement for sysconf(_SC_NPROCESSORS_ONLN) on Tiger
#52768
Trac: add support for syntax highlighting
#52765
buildbot: implement "successcache"
#52736
port selfupdate failure on macOS Sierra
#52697
OpenCV on Mac OS Sierra failed to build
#52689
Attica fails to build - missing files from ECM
#52672
Cc field is getting corrupted by Trac-to-GitHub username conversion
#52660
qt5-qtwebkit fails to upgrade to 5.5.1_5 on Sierra
#52647
Building qt5-qtwebkit 5.5.1_5 fails in the configure stage when using Xcode 8
#52646
syncthing-0.14 @0.14.8: update to 0.14.9
#52645
qt5-qtbase build problem
#52626
Remove svn.macports.org distfiles fallback
#52620
qt5-docs build error on Sierra
#52616
curl: poll() broken on Sierra
#52535
Installing libVLC fails at configure stage
#52531
qt5-qtwebengine: unknown class name 'CBCentralManagerDelegate'
#52500
py-pyqt5 @5.6: conflict between Python versions
#52481
KDEPIM4 and gpgme: header conflict
#52479
gpgme: install headers in a private location to avoid conflict and/or header confusion
#52342
kdepimlibs4 apparent conflict with gpgme
#52341
gpgme 1.7.0 fails to build when Qt5 is active
#52332
qt4-mac @4.8.7_4 fails to build on macOS Sierra as a universal package
#52328
opencv @3.1.0: fatal error: 'QTKit/QTKit.h' file not found
#52324
syncthing @0.14.7 new port
#52318
libproxy KDE variant modifications
#52310
qt5-qtbase does not configure on Mac OS X Sierra
#52203
10.12 SDK breaks qt5-qtconnectivity build
#52200
qt5 fails to build with Xcode 8 (due to removal of the deprecated xcrun executable)
#52144
mariadb: support for mpkg / mdmg
#52108
python27 fails with Sierra
#52069
wxWidgets-3.0: is not building in 10.12 Sierra beta due to missing QuickTime.h
#52041
go-1.4 @1.4.3_0: fatal error: MSpanList_Insert
#51980
perl5: build fails on Sierra (library not found for -lgcc_s.10.4)
#51977
Installation for digiKam fails at tagpropwidget.moc generation
#51962
mc 4.8.17 update
#51801
qt5: support older versions of OS X via different versions of Qt 5
#51747
QupZilla update to 2.0.1
#51701
perl5.22 @5.22.2: ld: unexpected token: !tapi-tbd-v2 file '/usr/lib/libgcc_s.10.4.tbd' for architecture x86_64
#51643
qt5 portgroup overwrites supported_archs, defines universal variant when one is not desired
#51454
py35-spyder-devel @3.0.0b2 +qt5 won't load after update to Qt5.6
#50986
Dependencies fail to install because hostnames cannot be resolved because we've run out of file descriptors
#50955
qwt61 does not build for variant +qt5
#50747
Kdenlive
#50709
port:opencv+qt4 uses Qt5 if both Qt4 and Qt5 are installed
#50697
VLC @2.2.2: build fails when using recently released ffmpeg-3.0
#50694
ffmpeg: issues updating to version 3.0
#50659
OpenSceneGraph upgrade to 3.4.0 fails on El Capitan
#50500
simpler up-to-date qca Port allowing concurrent Qt4 and Qt5 installations
#50294
mlt upgrade
#50183
QtCurve ports: updates for Qt5 and KF5
#50105
Error: Processing of port qt4-mac failed
#49822
icoutils @0.31.0_4: update to use perl5.22
#49815
gdb: "rootless" El Capitan prevents required edit of /System/Library/LaunchDaemons/com.apple.taskgated.plist
#49599
SoX Resampling library
#49483
buildbot not attempting to build new revisions
#49314
quassel-client @0.12.2 fails to configure
#49305
Emails about committed Subversion revisions aren't getting sent to macports-changes@
#49220
avidemux - Qt4 not found
#49132
sbcl fails to build on OS X 10.11
#49074
qt5-mac @5.4.2: error: declaration of anonymous struct must be a definition
#48905
New port: syncthing
#48756
zlib @1.2.8 Infected with iPhone WireLurker malware
#48365
Ports should require perl5.22 instead of 5.16
#48296
qt5-mac @5.4.2_1 staging into ${prefix}/libexec/qt5-mac
#48253
qt5-creator-mac needs update to 3.4.2
#48252
qt5-mac needs update to 5.5.0
#48119
qt5-mac is not UsingTheRightCompiler when building ninja bootstrap
#48116
The yosemite buildbot builder is offline
#48108
qt5-mac fails to install
#48098
dbus @1.8.16_0: activation fails because startupitem exists already
#48084
gmic @1.5.0.8: port builds without opencv support
#48067
opencv @3.0.0 provides different library versions than opencv @2.4.11 did
#48025
Buildbot appears to be stuck
#48006
Request: Qt3D in qt5-mac
#47998
[NEW] boot2docker
#47994
gnuplot +qt5: build failure
#47976
Snow Leopard buildbot builder is offline since May 18
#47947
qt5-creator-mac @3.2.2 fails to build
#47884
opencv: malformed opencv.pc causes gstreamer1-gst-plugins-bad compilation to fail
#47839
port:gwenview update/enhancement
#47838
libkexiv2 @4.14.3: fix rotation matrix
#47828
libepoxy: wrong hardcoded libGL location
#47814
gnutar: update to 1.28
#47807
libjpeg-turbo @1.3.1_0: update to 1.4.0
#47770
telepathy-qt: remove redundant Qt4-mac dependency
#47502
Qt build suite
#47204
qtscriptgenerator @0.2.0_0: build error (command execution failed)
#47171
tig @2.1 Configure error - command execution failed
#47150
(org.freedesktop.dbus-system[87816]): Service exited with abnormal code: 1
#47087
kdepim4 @4.14.3 does not build under OSX 10.9
#47054
Okular can not open more than one document
#47053
Settings Theme Configuration not working
#47045
VirtualBox needs to be updated and dependencies need to be fixed
#47025
poppler: add Qt5 subport and optional test support.
#46974
digikam 4.8.0
#46773
Update: libktorrent 1.3.1
#46743
vcs_blackbox @1.20150203 New contribution
#46611
hs-sha @1.6.4.1
#46608
qt4-mac: avoid zombie processes
#46602
Python script to generate dot (graphviz) file with ports des
#46575
submission of the Charm time tracker for Qt4 or Qt5
#46572
[MacPorts][2.3.3][hs-zip-archieve doesn't build]
#46569
eigen3 @3.2.3 header compilatin error
#46558
phonon-backend-gstreamer update to 4.8.2 and qt5 support
#46546
fail2ban goes idle on nighly logrotate
#46464
hs-blaze-builder @0.3.1.1_2 configure failed: missing dependencies (text >=0.10 && <0.13)
#46317
digikam 4.6.0
#46288
kde4-baseapps @4.14.3_0: dolphin panels terminal cannot use
#46240
kde4 1.1 PortGroup file adaptation to qt4-mac +concurrent
#46239
qca and qca-ossl adaptations to qt4-mac +concurrent
#46238
co-installable qt4-mac and qt5-mac step1 : qt4-mac +concurrent
#46237
Checksum fails for Cockatrice
#46183
okular @4.13.3_0 Cannot open files directly from the command line
#46152
update to massif-visualizer 0.4.0
#46047
Digikam: Update to 4.3.0 or 4.4.0 or 4.50
#45925
openal-soft: update to 1.16.0
#45915
qt5-creator-mac @3.2.2_0 fails to build
#45742
botan: missing from server-generated PortIndex
#45732
new port submission: kcm-baloo-advanced
#45599
cairo runtime messages/crash regarding obsolete CGFontGetGlyphPath
#45590
$PATH variable for kde apps doesn't contain opt/local/bin directory
#45470
botan: needs revision update for universal builds
#45420
kdiff3 update & enhancement
#45321
port:phonon_backend_gstreamer causes digikam 4.3.0 to abort when $DISPLAY is set
#45317
baloo: make baloo_file an "agent"
#45315
nepomuk-core: convert daemons to "agents"
#45298
qt5-mac: Build fails on Yosemite
#45284
[Port Abandoned] all ports maintained by mcalhoun
#45169
qt4-mac: prevent a crash when KDE apps use KMenu::addTitle
#45107
upgrade Digikam to 4.3.0 (needs work)
#44934
qt5-mac macdeployqt needs patch
#44798
kdepim4: fixes for menubar issues (1 fatal) in kmail
#44755
gnutls fails to build on ML buildbot (and probably others) due to missing stdnoreturn.h
#44581
cmake fails when a deployment target is set but not a matching SDK
#44527
QtCurve submission
#44479
kick - add new port
#44469
libical build improvement
#44365
Phonon can not be installed
#44351
Fix phonon cmake install
#44305
Update phonon to 4.7.2
#44282
patch to enable ktimetracker in kdepim4
#44258
kdelibs4: preventing a crash in the KWindowInfo::Private destructor
#44236
[NEW] suggestion for a new port kde4-workspace
#44223
qt5-mac: use the right compiler
#44204
qt5-mac: wrong pkg-config variables
#44203
qt5-mac: use SDK for 10.7 on Lion (not for 10.8)
#44193
qt: allow side by side installation of qt4-mac and qt5-mac
#44170
libffi @3.1 fails to build on 32-bit systems
#44052
git-core: obsolete, but asked for when fetching the sources via git
#44031
wxWidgets-3.0: upgrade to 3.0.1
#44017
qt4-mac does not currently build on OSX later than 10.9 'Mavericks'
#43971
New: oxygen-gtk port (oxygen-gtk2)
#43738
gnuplot: upgrade to 5.0
#43737
ld64 @236.3_1 build failure with g++-4.2 on OS X 10.6.8
#43714
asymptote: port abandoned
#43642
tiff @4.0.3 - build hang
#43617
texinfo: texi2dvi incompatible with bsdsed
#43504
MyPaint @1.1.0 - build failure: ld: symbol(s) not found for architecture x86_64
#43485
update maxima to version 5.33.0
#43450
upgrade maxima to 5.30.0_4 from 5.30.0_3 fails
#43449
digikam: invalid port depspec 'path:lib/pkgconfig/cairo.pc:cairo'
#43260
[NEW] docker
#43235
Can't build dbus with Macports 2.2.1 on Snow Leopard
#43203
dbus not building on 10.6.8. ‘O_CLOEXEC’ undeclared
#43155
qalculate-gtk fails build on Mavericks
#43133
cmake: use MacPorts libraries
#43122
qt4-mac: error: 'kCFProxyTypeKey' was not declared in this scope
#42904
binary nepomuk-core package corruption due to case-insensitive filesystem
#42725
Use modern tools for 'port pkg' on newer OS versions
#42654
cmake: upgrade to 3.0.0
#42404
Problems installing atlas
#42376
maxima upgrade fails after sbcl upgrade to 1.1.15_0
#42160
Installing Atlas Hangs
#42082
[pandoc]: configure step fails with "missing dependencies..."
#42029
qt4-mac: Undefined symbols _dbus_shutdown
#42020
Mavericks: Error: soprano requires the Java for Mac OS X development headers.
#41978
mysql5 @5.1.72: C compiler cannot create executables
#41849
port 2.2.1: Error: org.macports.archivefetch for port libiconv returned: Failed to fetch signature for archive: The requested URL returned error: 400 Bad Request
#41643
gtk3 fails to configure on mavericks
#41600
bison: update to 3.0.2
#41576
poxml @4.11.2 (kde, kde4) build failure on OSX 10.9 on x86-64, also blocks kdesdk4 build
#41575
kdesvn does not build on OSX 10.9 on x86_64
#41371
mythtv-core.27 fails to build on Mavericks
#41326
kdelibs4: meinproc4 crashed
#41321
cmake: invalid deployment target for -stdlib=libc++ (requires OS X 10.7 or later)
#41316
qt4-mac: Warning about libstdc++ after installation ( r113176 does not work for me )
#41244
maxima-5.30.0_0 `no-xmaxima.patch` fails to apply
#41172
thrift: error: no member named 'bind' in namespace 'std'
#41140
valgrind @3.9.0 fails to build on OS X 10.6.8
#41136
kdelibs3 @3.5.10: error: member access into incomplete type 'ipp_t' (aka '_ipp_s')
#41049
IPE building problem
#41016
makeicns: error: use of undeclared identifier 'CGDirectPaletteRef'
#40979
asymptote: fatal error: 'ext/slist' file not found
#40968
botan fails to build
#40743
wxWidgets-3.0: upgrade to 3.0.0-RC1
#40727
wxPython: upgrade to 2.9.5.0
#40611
ktorrent4 @4.2.0_2 build error
#40579
convert ports.php and PortIndex2MySQL to PostgreSQL
#39929
libquvi @0.9.2: destroot failure
#39888
kmymoney4: Conflicting ports qt4-mac/qt3
#39868
DNS warning updating outdated
#39809
boost @1.54.0 fails to upgrade
#39505
kdenlive fails to start
#39383
Ports with a no_x11 variant should be changed to use x11
#39333
scotch build error, mpicc not found
#39006
OpenSceneGraph @3.0.1 Runtime error - infinite recursion on sinf
#38876
kdelibs3: Undefined symbols: "QPtrList<DCOPClientTransaction>::deleteItem(void*)", referenced from: vtable for QPtrList<DCOPClientTransaction> in libDCOP.4.2.0.dylib-master.o
#38853
boost: Support compilation of boost-1.53 with clang and libc++
#38744
Maxima .28.0_3 +printable_doc does not build on 10.8
#38722
frei0r-plugins: upgrade to version 1.4
#38709
maxima @5.28.0_3+xmaxima binary package is inevitably obsolete
#38433
libiodbc @3.52.8: Make the gui into a variant
#38337
kdepim4-runtime and kdepim4: update to 4.10.1
#38291
Categories for KMyMoney4
#38232
Change default compiler variant from +gcc45 to +gcc47
#38208
RFE: add a "depends_test" type of dependency
#38048
kdelibs3 won't build because of wrong autoconf version
#37849
x264 @20130105: needs revbump after ffmpeg upgrade
#37620
kmymoney4 @4.6.3_0: build failure on OS X 10.8
#37574
kde4-runtime: 4.9.5 fails to build with gcc
#37444
py27-matplotlib +tkinter is broken
#37331
qt5-mac
#36815
mysql5 @5.1.66 is out of date
#36790
strigi 0.7.7 fails to build
#36591
qt4-mac: menu item enabling/disabling breaks
#36552
kdelibs4: Automatic refreshment of kde cache
#36319
dbus: update to 1.6.8
#36098
akonadi: upgrade to 1.8.0
#36097
soprano: upgrade to 2.8.0
#36047
gnucash @2.4.11_1 build failure -libpng14
#35983
qt3: build fails with libpng 1.5
#35710
linphone port is outdated
#35210
kdepim4: Parse error at "BOOST_JOIN"
#34864
qt4-mac: Broken links
#34858
KDE 4.8.5
#34801
kdelibs3: Unable to find automake / aclocal
#34726
Wine missing dependencies for gst-plugins-base gnome-vfs gconf gtk2 librsvg libgsf
#34638
qt4-mac +debug @4.7.4 Fails with Xcode 4.3.2
#34605
kdelibs4 @4.8.2_0 __KDE_HAVE_GCC_VISIBILITY not defined in <prefix>/include/kdemacros.h
#34527
doxygen: upgrade to 1.8.1
#34378
kdelibs4: Building with Clang 3.2 fails
#34343
dbus: uses startupitem.install, which fails on MacPorts < 2.1
#34247
libcdio 0.83 misses osx driver in Lion and possibly Snow Leopard
#34161
qt4-mac doesn't build on mac os 10.6.8 (snow leopard)
#34080
archive contents can't be extracted when tar is gnutar
#33984
kontact don't work
#33821
base: add a default +debug and +no_opt variant
#33780
request: kde-workspace
#33717
docbook-xml-4.1.2: tar: +CONTENTS: Not found in archive
#33596
gnuplot: update to 4.6.0
#33594
kdelibs4: conflicts with kde4-runtime on nepomuk/resourcewatcher.h
#33591
kdelibs4 fails to build when libxslt.dylib is a broken link
#33573
Check "svn info" exit status instead of existence of ".svn" directory
#33544
Change default gfortran/gcj dependency from gcc44 to gcc45
#33064
port new actions: active, inactive
#32975
qt4-mac: wrong pkg-config cflags
#32837
new portfile for RKWard
#32337
Add Lion buildbot
#32227
pkgconfig runtime crashes
#32185
glib2, glib2-devel: build fails when pkgconfig is not installed
#31831
virtuoso: Waiting virtuoso start on port 1111...
#31645
Upgrade of gnucash+no_x11 fails
#31611
qt4-mac @4.7.4_0+debug+quartz fails to leave debug symbols in the resulting shared libraries
#31517
phonon update to 4.5.0
#31332
kdeinit4 broken after upgrade
#31186
prebuilt packages don't honour non-default applications_dir settings
#31183
virtuoso @6.1.3 is not UsingTheRightCompiler
#31140
gdb 7.3 segfaults when trying to load symbols
#31024
update raptor raptor2 rasqal soprano redland
#30981
When trying to build kmymoney4 it hangs on virtuoso
#30803
Skrooge 0.9.1
#30642
kdelibs4 build error on lion
#30631
kdegames4 tries to use non-standard OpenAL framework
#30578
KDE programs not starting (KDE 4.7.0)
#30576
digikam @2.0.0 updated portfile
#30575
marble does not install cmake file
#30565
update kdepim4: add dependency for kdepim4-runtime
#30546
kdepim update to 4.7.0
#30512
kstars
#30499
iguanaIR @1.0pre2: fix for Ticket #29473
#30497
kdelibs4 @4.7.0 build failure
#30493
Update kdegraphics4 to 4.7.0
#30468
Redefinition error in kdebase4-runtime
#30425
phonon @4.4.2 compile error on 10.7 with qt4-mac-devel @4.8.0
#30397
qt3 @3.3.8_11 (upgrading from @3.3.8_10) build fails on 10.5.8, ranlib gets Permission Denied
#30346
qt4-mac: trouble with libqcorewlanbearer.dylib (OS X 10.7)
#30271
qt4-mac: fails to find dbus when using clang
#30206
mass change depends port:dbus to path:bin/dbus-daemon:dbus
#30162
meinproc4 segfaults at end of build
#30147
soprano fails to build with raptor2
#30144
kdepimlibs4: configure fails to find Nepomuk
#30088
dbus links with dbus-glib, fails to build when it has different archs
#29880
kdesdk4 fails to upgrade: "poxml/GettextParser.cpp:1: error: 'er' has not been declared"
#29802
rsync @3.0.7, Revision 1 - Mac OS X and HFS+ enhancements
#29730
tortoisehg: add launcher icon and gui ssh-askpass
#29728
Skrooge 0.9.0
#29421
qt4-mac generates Debug objects although debug-variant is not selected
#29409
Failed to start message bus: launch_msg("CheckIn") IPC failure: Operation not permitted
#29355
Skrooge 0.8.94
#29341
Skrooge 0.8.93
#29265
Skrooge 0.8.92
#29141
qt4-mac dependents on 10.7 - qglobal.h:93:6: error: #error "This version of Mac OS X is unsupported"
#29088
Skrooge 0.8.91
#28586
Upgrade Qt to 4.7.2
#28512
atlas: undefined symbols _ATL_DecAtomicCount
#28468
gobject-introspection @0.9.12 fails to build on 10.4
#28463
atk @1.33.6 fails to build
#28368
kdepimlibs4 @4.6.0 - build failure
#28231
QiII 1.07 functional programming language developed by Dr Mark Tarver
#28168
gst-rtsp-server: new port providingtreaming media server on top of GStreamer
#27887
svg2pdf update
#27760
dbus: update to 1.4.1
#27555
DBUS reports Failed to start message bus: launch_msg("CheckIn") IPC failure: Operation not permitted when dbus-daemon --session is run on MacOSX 10.6.5
#27321
Update drupal ports for security reasons
#27198
kdelibs4 unable to find phonon
#27133
kdelibs4 failed to build
#27128
kdelibs4 fails to build with older qt in /Library/Frameworks
#27117
gwenhywfar4 failed to build
#27010
qt4-mac installs its applications into ${prefix}/bin
#26977
qt4-mac configure segmentation fault when building i386
#26943
KDE4 apps ceased working after qt4-mac upgrade, and after a while configure would not find cmake and qmake
#26934
cmake 2.8.2_3 fails to build after Java Update
#26776
kdelibs4 @4.4.5 Build failure
#26685
procfs 2.0: create startup item
#26636
unzip @6.0 Add variants "iconv" -- to convert filename encoding to current locale
#26443
kdelibs4 @4.4.5 - Build Failure
#26094
mit-scheme port fails with permission denied error
#26042
KDE 4.5.2
#25507
kdelibs4 undefined symbols "_png_set_longjmp_fn"
#25178
klauncher does not work?
#25121
Cannot launch kmymoney2 - dyld: Library not loaded: /opt/local/lib/libjpeg.7.dylib
#25001
Add a Quartz graphical device and GUI to R
#24641
fbg: Installation of port fbg fails
#24618
kmymoney starter app
#24067
zlib 1.2.4 causes build failures because off64_t is not defined on Mac OS X
#23968
kio_http seg faults when attempting ssl connection
#23632
kde4-ANY Crippled sound without QuickTime addons
#21973
kdeinit4 crashes on 10.6
#21595
DBUS reports Failed to start message bus: launch_msg("CheckIn") IPC failure: Operation not permitted when dbus-daemon --session is run on snow leopord
#21371
avidemux-2.4.4 x86-64 build failure
#20966
growl 1.1.4 failed to build on snow leopard

This is the KDE bug causing the .kde folder to have root ownership. (It had been still present in KDE4 versions before 4.6 at ~/Library/Preferences/KDE...)

Last modified 14 months ago Last modified on Oct 22, 2016, 12:08:57 PM